<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

include_once '../sys/inc/thead.php';
title();
err();
aut();

if (!isset($user)) {
echo 'Игра доступна только зарегестрированным пользователям! Зарегестрируйтесь или авторизуйтесь на сайте!<br/>';
include_once '../sys/inc/tfoot.php';
exit;
}

$settings = mysql_fetch_array ( mysql_query ("SELECT * FROM korsar_settings WHERE id = '1' LIMIT 1"));

If (!isset($_GET['mod']) || !preg_match("!^[a-zA-Z0-9_]+$!i",$_GET['mod'])) $mod=false; else $mod=$_GET['mod'];

if ( mysql_num_rows ( mysql_query ("SELECT user_id FROM korsar_user WHERE user_id='" . $user[id] . "'") )==1){
$info = mysql_fetch_array ( mysql_query ("SELECT * FROM korsar_user WHERE user_id='" . $user[id] . "' LIMIT 1"));

} else {

mysql_query( "INSERT INTO korsar_user SET gold = '" . $settings[initial_gold] . "', user_id='" . $user[id] . "', time='" . time() . "'");
echo 'Вы начинаете свой путь торговца у вас всего ' . $settings[initial_gold] . ' золотых монет и корабль Тартана. Желаем вам удачи!<br/>';
$info = mysql_fetch_array ( mysql_query ("SELECT * FROM korsar_user WHERE user_id='" . $user[id] . "' LIMIT 1"));
}

if ( $info[time_karma] > time() ){

if ( $mod != 'leaders' AND $mod != 'my_ship' AND $mod != 'stat' ) $mod = '';
$karma = 1;
}

if ( mysql_num_rows ( mysql_query ("SELECT id FROM korsar_swim WHERE id_user='" . $info[id] . "'") )==1){
if ( $mod != 'leaders' AND $mod != 'my_ship' ) $mod = '';

$swim_info = mysql_fetch_array ( mysql_query ("SELECT * FROM korsar_swim WHERE id_user='" . $info[id] . "' LIMIT 1"));
if ( $swim_info[time_end] < time() ) {
mysql_query( "DELETE FROM korsar_swim WHERE id_user='" . $info[id] . "'" ); 
mysql_query( "UPDATE korsar_user SET city='" . $swim_info[city] . "' WHERE user_id='" . $user['id'] . "' LIMIT 1");

} else { $swim = 1; }

}

if ( mysql_num_rows ( mysql_query ("SELECT id FROM korsar_fishing WHERE id_user='" . $info[id] . "'") )==1){

if ( $mod != 'leaders' AND $mod != 'my_ship' AND $mod != 'fishing_cancel'  AND $mod != 'stat' ) $mod = '';

$fishing_info = mysql_fetch_array ( mysql_query ("SELECT * FROM korsar_fishing WHERE id_user='" . $info[id] . "' LIMIT 1"));

if ( $fishing_info[time] < time() ) {

mysql_query( "DELETE FROM korsar_fishing WHERE id_user='" . $info[id] . "'" ); 
$kol = rand(10, 100);
$ship = mysql_fetch_array ( mysql_query ("SELECT * FROM korsar_ship WHERE name='" . $info[ship] . "' LIMIT 1"));
$info_kol_r =  $info[tree] + $info[wood] + $info[iron] + $info[fabric] + $info[silver] + $info[charcoal];    

if ( $ship[strength] - $info_kol_r >= $kol ) 
$kol_k = $kol;
else 
$kol_k = $ship[strength] - $info_kol_r;

mysql_query( "UPDATE korsar_user SET wood = wood + '" . $kol_k . "' WHERE user_id='" . $user['id'] . "' LIMIT 1");
echo 'Вы вернулись с рыбалки. В ваш трюм добавленно ' . $kol_k . ' ед. еды.<br/>';

} else { $fishing = 1; }

}

if ( mysql_num_rows ( mysql_query ("SELECT id FROM korsar_treasures WHERE id_user='" . $info[id] . "'") )==1){
if ( $mod != 'leaders' AND $mod != 'my_ship'  AND $mod != 'stat' ) $mod = '';

$korsar_treasures_info = mysql_fetch_array ( mysql_query ("SELECT * FROM korsar_treasures WHERE id_user='" . $info[id] . "' LIMIT 1"));
if ( $korsar_treasures_info[time] < time() ) {

mysql_query( "DELETE FROM korsar_treasures WHERE id_user='" . $info[id] . "'" ); 

$kub = rand(1,5);
if ( $kub == 1 ) {

$kol = rand(500, 8000);
mysql_query( "UPDATE korsar_user SET gold = gold + '" . $kol . "' WHERE user_id='" . $user['id'] . "' LIMIT 1");
echo 'Вы нашли сокровище и заработали на нем <b>' . $kol . '</b> золотых.<br/>';

} else {

echo 'Вы вернулись и не чего не нашли.<br/>';

}

} else { $treasures = 1; }

}

switch ($mod) {

case 'sklad_buy':
If (!isset($_POST['product']) || !preg_match("!^[a-zA-Z]+$!i",$_POST['product'])) $product=false; else $product=$_POST['product'];
If (!isset($_POST['kol']) || !preg_match("!^[0-9]+$!i",$_POST['kol'])) $kol=false; else $kol=abs(ceil($_POST['kol']));
If (!isset($_POST['operation']) || !preg_match("!^[a-zA-Z]+$!i",$_POST['operation'])) $operation=false; else $operation=$_POST['operation'];

$array = array('tree', 'wood', 'iron', 'fabric', 'silver', 'charcoal');

if ( $product != false and $kol != false and $operation != false and $kol > 0 and in_array($product, $array))
{
$p = array ("tree"=>"дерева", "wood"=>"еды", "iron"=>"железа", "fabric"=>"угля", "silver"=>"ткани", "charcoal"=>"серебра",);
$city = mysql_fetch_array ( mysql_query ("SELECT * FROM korsar_city WHERE name='" . $info[city] . "' LIMIT 1"));

if ( $operation == 'buy') {
$ship_info = mysql_fetch_array ( mysql_query ("SELECT * FROM korsar_ship WHERE name='" . $info[ship] . "' LIMIT 1"));
$c = $info[tree]+$info[wood]+$info[iron]+$info[fabric]+$info[silver]+$info[charcoal];

if ( $ship_info[capacity] - $c < $kol )
$kol = $ship_info[capacity] - $c;

if ( $info[gold] >= $city[sale_.$product] * $kol ) {
mysql_query( "UPDATE korsar_user SET gold=gold-'" . ($city[sale_.$product] * $kol) . "', $product = $product + $kol WHERE user_id='" . $user['id'] . "'" );
echo 'Вы преобрели ' . $kol . ' ед. ' . $p[$product] . ' потратив при этом ' . ($city[sale_.$product] * $kol) . ' золота.<br/>
<br/><a href="?mod=sklad">Назад</a><br/>';

} else { echo 'Не достаточно ' . ($city[sale_.$product] * $kol - $info[gold]) . ' золотых монет<br/>

<br/><a href="?mod=sklad">Назад</a><br/>'; }

} elseif ( $operation == 'sell') {

if ( $info[$product] >= $kol) {
mysql_query( "UPDATE korsar_user SET gold=gold+'" . ($city[purchase_.$product] * $kol) . "', $product = $product - $kol WHERE user_id='" . $user['id'] . "'" );
echo 'Вы продали ' . $kol . ' ед. ' . $p[$product] . ' получив при этом ' . ($city[purchase_.$product] * $kol) . ' золота.<br/>
<br/><a href="?mod=sklad">Назад</a><br/>';

} else { echo 'У вас нет такова количества ' . $p[$product] . '.<br/><br/><a href="?mod=sklad">Назад</a><br/>'; }
} else { echo 'ОШИБКА! Вернитесь на <a href="?">главную</a> страницу<br/>'; }
} else { echo 'ОШИБКА! Вернитесь на <a href="?">главную</a> страницу<br/>'; }

break;

case 'sklad_product':
If (!isset($_GET['product']) || !preg_match("!^[a-zA-Z]+$!i",$_GET['product'])) $product=false; else $product=$_GET['product'];
$array = array('tree', 'wood', 'iron', 'fabric', 'silver', 'charcoal');

if (in_array($product, $array)) {
$city = mysql_fetch_array ( mysql_query ("SELECT * FROM korsar_city WHERE name='" . $info[city] . "' LIMIT 1"));
echo '
<b><div class="gend">Склад</b><br/></div>';
echo "<div class='guser_aut'>";
$p = array ("tree"=>"дерево", "wood"=>"еда", "iron"=>"железо", "fabric"=>"уголь", "silver"=>"ткань", "charcoal"=>"серебро",);
echo 'Товар ' . $p[$product] . '<br/>
Продажа ' . $city[sale_.$product] . ' золота за ед.<br/> 
Покупка ' . $city[purchase_.$product] . ' золота за ед.<br/>
В наличии ' . $info[$product] . ' ед.<br/>
<form action="?mod=sklad_buy" method="post">
Кол:<br/>
<input type="text" name="kol" maxlength="30"><br/>
<input type="radio" name="operation" value="buy" checked="checked">Купить<br/> 
<input type="radio" name="operation" value="sell">Продать<br/>
<input type="hidden" name="product" value="' . $product . '">
<input type="submit" value="Выполнить"/></form>        
</div> <div class="page_foot"> - <a href="?mod=sklad">Назад</a></div><div class="page_foot"> - <a href="?">В меню</a></div><br/>';

} else {

echo 'ОШИБКА! Такова товара не существует! Вернитесь на <a href="?">главную</a> страницу<br/>';
}

break;

case 'sklad':
$city = mysql_fetch_array ( mysql_query ("SELECT * FROM korsar_city WHERE name='" . $info[city] . "' LIMIT 1"));
echo '
<b><div class="gend">Склад</b></div><div class="guser_aut">
<small>Название продажа / скупка [в наличии у вас]</small></div>
<a href="?mod=sklad_product&product=tree">Дерево</a> ' . $city[sale_tree] . ' / ' . $city[purchase_tree] . ' [' . $info[tree] . ']<br/>
<a href="?mod=sklad_product&product=wood">Еда</a> ' . $city[sale_wood] . ' / ' . $city[purchase_wood] . ' [' . $info[wood] . ']<br/>
<a href="?mod=sklad_product&product=iron">Железо</a> ' . $city[sale_iron] . ' / ' . $city[purchase_iron] . ' [' . $info[iron] . ']<br/>
<a href="?mod=sklad_product&product=fabric">Уголь</a> ' . $city[sale_fabric] . ' / ' . $city[purchase_fabric] . ' [' . $info[fabric] . ']<br/>
<a href="?mod=sklad_product&product=silver">Ткань</a> ' . $city[sale_silver] . ' / ' . $city[purchase_silver] . ' [' . $info[silver] . ']<br/>
<a href="?mod=sklad_product&product=charcoal">Серебро</a> ' . $city[sale_charcoal] . ' / ' . $city[purchase_charcoal] . ' [' . $info[charcoal] . ']<br/>    
<div class="page_foot"> - <a href="?">Назад</a></div>
';
break;

case 'boy_ship':
If (!isset($_GET['id']) || !preg_match("!^[0-9]+$!i",$_GET['id'])) $id=false; else $id=$_GET['id'];

$ship_user = mysql_fetch_array ( mysql_query ("SELECT * FROM korsar_ship WHERE name='" . $info[ship] . "' LIMIT 1"));
$ship_info = mysql_fetch_array ( mysql_query ("SELECT * FROM korsar_ship WHERE id='" . $id . "' LIMIT 1"));
$gold = $ship_user[cost] - ($ship_user[cost]/100*20);

if ( $info[gold] + $gold > $ship_info[cost] ){
$gold_boy = $ship_info[cost] - $gold;
mysql_query( "UPDATE korsar_user SET gold=gold - " . $gold_boy . ", ship='" . $ship_info[name] . "', strength_ship='" . $ship_info[strength] . "', number_of_guns=0 WHERE user_id='" . $user['id'] . "'" );
echo 'Вы успешно преобрели ' . $ship_info[name] . ' за ' . $ship_info[cost] . ' золота.<br/>
При этои вы продали свой старый корабль за ' . $gold . ' золота.<br/> ';

} else {

echo 'У вас недостаточно золота!<br/>
У вас на руках ' . $info[gold] . ' золота и стоимость продажи корабля ' . $gold . ' золота.<br/>
Не хвотает ' . ( $ship_info[cost] - ( $info[gold] + $gold ) ) . ' золота.<br/>';
}
echo '
<div class="page_foot"> - 
 <a href="?mod=port_buy_ship">Назад</a></div>
 
<div class="page_foot"> - 

<a href="?">В меню</a></div>';
break;

case 'port_info_ship':
If (!isset($_GET['id']) || !preg_match("!^[0-9]+$!i",$_GET['id'])) $id=false; else $id=$_GET['id'];
if ( mysql_num_rows ( mysql_query ("SELECT * FROM korsar_ship WHERE id='" . $id . "'") )==0){
echo 'ОШИБКА! Такова корабля не существуе! Вернитесь на <a href="?">главную</a> страницу<br/>';

} else {

$ship_info = mysql_fetch_array ( mysql_query ("SELECT * FROM korsar_ship WHERE id='" . $id . "' LIMIT 1"));
echo '
Корабль ' . $ship_info[name] . '<br/>
<img src="korsar_images/'. $ship_info[scrin] . '"><br/>
<div class="gend"><b>Инфо:</b></div>
Прочность ' . $ship_info[strength] . '<br/>
Колличество орудий ' . $ship_info[number_of_guns] . '<br/>
Вместимость ' . $ship_info[capacity] . '<br/>
Скорость ' . $ship_info[speed] . '<br/>
Ранг ' . $ship_info[lvl] . '<br/>
Стоимость ' . $ship_info[cost] . ' (у вас ' . $info[gold] . ')<br/>
<a href="?mod=boy_ship&id='. $id .'">Купить</a>*<br/>
*Ваш корабль будет автоматически продан.<br/>
<div class="page_foot"> - <a href="?mod=port_buy_ship">Назад</a></div>
<div class="page_foot"> - <a href="?">В меню</a></div>
';
}
break;

case 'port_buy_ship':
echo '
<div class="gend"><b>Гавань</b></div>';
$ship = mysql_query("SELECT * FROM korsar_ship");

while ( $ship_info = mysql_fetch_array ( $ship ) )
{
echo '<a href="?mod=port_info_ship&id=' . $ship_info[id] . '">' . $ship_info[name] . '</a> (' . $ship_info[cost] . ' золота)<br/>';
}

echo '<div class="page_foot"> - <a href="?mod=port">Назад</a></div>
<div class="page_foot"> - <a href="?">В меню</a></div>
';
break;

case 'repair':
$ship = mysql_fetch_array ( mysql_query ("SELECT * FROM korsar_ship WHERE name='" . $info[ship] . "' LIMIT 1"));

if (isset($_GET[repair]) AND $_GET[repair] == ''){
if ( $info[gold] >= ceil( ($ship[strength] - $info[strength_ship]) * 0.5 )) {
mysql_query( "UPDATE korsar_user SET gold=gold-'" . ceil( ($ship[strength] - $info[strength_ship]) * 0.5 ) . "', strength_ship = '" . $ship[strength] . "' WHERE user_id='" . $user['id'] . "'" );
echo 'Вы отремонтировали свой корабль!<br/>';

} else { echo 'Не достаточно золота.<br/>';}

}
echo '
<div class="gend"><b>Гавань</b></div>
Корабль ' . $info[ship] . '<br/>
Прочность ' . $info[strength_ship] . '/' . $ship[strength] . '<br/>
Стоимость ремонта ' . ceil( ($ship[strength] - $info[strength_ship]) * 0.5 ) . ' золота.<br/>
<a href="?mod=repair&repair">Ремонтировать</a><br/>
<br/><a href="?mod=port">Назад</a><br/>
<a href="?">В меню</a><br/>
';
break;

case 'gun_buy':
If (!isset($_POST['kol']) || !preg_match("!^[0-9]+$!i",$_POST['kol'])) $kol=false; else $kol=ceil($_POST['kol']);

$ship = mysql_fetch_array ( mysql_query ("SELECT * FROM korsar_ship WHERE name='" . $info[ship] . "' LIMIT 1"));
echo '
<div class="gend"><b>Гавань</b></div>';

if (isset($kol)) {
if ( $info[number_of_guns] + $kol > $ship[number_of_guns] ) $kol = $ship[number_of_guns] - $info[number_of_guns];
mysql_query( "UPDATE korsar_user SET gold=gold-'" . ( $kol * $settings[gun_gold] ) . "', number_of_guns = number_of_guns + " . $kol . " WHERE user_id='" . $user['id'] . "'" );
echo 'Вы установили ' . $kol . ' орудий потратив при этом ' . ($kol * $settings[gun_gold]) . ' золота.<br/>';

} else { echo 'Ошибка! Вернитесь назад.<br/>'; }

echo '<br/><a href="?mod=gun">Назад</a><br/>
<a href="?">В меню</a><br/>
';
break;

case 'gun':
$ship = mysql_fetch_array ( mysql_query ("SELECT * FROM korsar_ship WHERE name='" . $info[ship] . "' LIMIT 1"));
echo '
<div class="gend"><b>Гавань</b></div>
Корабль ' . $info[ship] . '<br/>
Колличество орудий ' . $info[number_of_guns] . '/' . $ship[number_of_guns] . '<br/>
Стоимость орудия ' . $settings[gun_gold] . ' золота<br/><br/>';

if ( $info[number_of_guns] != $ship[number_of_guns] ) {
echo '<form action="?mod=gun_buy" method="post">
Кол. устанавливаемых орудий:<br/>
<input type="text" name="kol" maxlength="30"><br/>
<input type="submit" value="Установить"/></form>';

} else { echo 'Уже установленно максимальное число орудий.<br/>';}     
   
echo '<br/><a href="?mod=port">Назад</a><br/>
<a href="?">В меню</a><br/>
';
break;

case 'port':
echo '
<b><div class="gend">Гавань</b></div>
<div class="guser_aut">
 - <a href="?mod=port_buy_ship">Купить корабль</a><br/>
 - <a href="?mod=repair">Ремонт корабля</a><br/>
 - <a href="?mod=gun">Вооружение корабля</a></div>

 <div class="page_foot"> - <a href="?">Назад</a></div>
';
break;

case 'my_ship':
$ship = mysql_fetch_array ( mysql_query ("SELECT * FROM korsar_ship WHERE name='" . $info[ship] . "' LIMIT 1"));
echo '
Корабль ' . $info[ship] . '<br/>
<img src="korsar_images/'. $ship[scrin] . '"><br/>
<div class="gend"><b>Инфо:</b></div>
Прочность ' . $info[strength_ship] . '/' . $ship[strength] . '<br/>
Колличество орудий ' . $info[number_of_guns] . '/' . $ship[number_of_guns] . '<br/>
Вместимость ' . ($info[tree]+$info[wood]+$info[iron]+$info[fabric]+$info[silver]+$info[charcoal]) . '/' . $ship[capacity] . '<br/>
Скорость ' . $ship[speed] . '<br/>
Ранг ' . $ship[lvl] . '<br/>
Стоимость ' . $ship[cost] . '<br/>
<div class="gend"><b>Груз:</b></div>
Дерево ' . $info[tree] . '<br/>
Еда ' . $info[wood] . '<br/>
Железо ' . $info[iron] . '<br/>
Уголь ' . $info[fabric] . '<br/>
Ткань ' . $info[silver] . '<br/>
Серебро ' . $info[charcoal] . '<br/>    
<br/>
<div class="page_foot"> - <a href="?">Назад</a></div>
';
break;

case 'bank':
if (isset($_GET[raise]) AND $_GET[raise] == ''){
if ( mysql_num_rows ( mysql_query ("SELECT user_id FROM korsar_bank WHERE user_id='" . $user[id] . "'") )==1){
$bank = mysql_fetch_array ( mysql_query ("SELECT * FROM korsar_bank WHERE user_id='" . $user[id] . "' LIMIT 1"));
if ( $bank[time] - time() < 0 ){
mysql_query( "UPDATE korsar_user SET gold = gold + " . ( $bank[gold] / 100 * $settings[bank] + $bank[gold] ) . " WHERE user_id='" . $user['id'] . "'" );
mysql_query( "DELETE FROM korsar_bank WHERE user_id='" . $user[id] . "'" ); 
echo 'Вы успешно сняли ' . ( $bank[gold] / 100 * $settings[bank] + $bank[gold] ) . ' золота.<br/>';
}
}
}
if (isset($_GET[contribution]) AND $_GET[contribution] == ''){
if ( mysql_num_rows ( mysql_query ("SELECT user_id FROM korsar_bank WHERE user_id='" . $user[id] . "'") )==0){
If (!isset($_POST['kol']) || !preg_match("!^[0-9]+$!i",$_POST['kol'])) $kol=false; else $kol=ceil($_POST['kol']);
if ( $kol != false ) {
mysql_query( "UPDATE korsar_user SET gold = gold - " . $kol . " WHERE user_id='" . $user['id'] . "'" );
mysql_query( "INSERT INTO korsar_bank SET user_id='" . $user[id] . "', gold='" . $kol . "', time='" . ( time() + 60 * 60 * 24 ) . "'");
echo 'Вы успешно сделали вклад на сумму ' . $kol . ' золотых.<br/>';

} else { echo 'Не верная сумма!<br/>'; }

}
}
echo '
<b>Банк</b><br/>';

if ( mysql_num_rows ( mysql_query ("SELECT user_id FROM korsar_bank WHERE user_id='" . $user[id] . "'") )==0){
echo '
Сделать вклад<br/>
<form action="?mod=bank&contribution" method="post">
Кол. золота:<br/>
<input type="text" name="kol" maxlength="30"><br/>
<input type="submit" value="Сделать"/></form>';

echo '<br/>* Вклад делается на 24 часа. По истечению срока вы можите забрать свои деньги с процентами (' . $settings[bank] . '%). Снять вклад можно в любом банке.<br/>';

} else {

$bank = mysql_fetch_array ( mysql_query ("SELECT * FROM korsar_bank WHERE user_id='" . $user[id] . "' LIMIT 1"));
echo 'Ваш вклад <b>' . $bank[gold] . '</b> золотых.<br/>';

$time = $bank[time] - time();
$t = $time.' сек.';
if ( $time > 60 ) $t = ceil($time / 60).' мин.'; 
if ( $time > 60 * 60 ) $t = current(explode('.', ($time / 60 / 60))) .' ч.';
if ( $t <= 0 ) $t =  '<a href="?mod=bank&raise">снять</a>';
echo 'Ввремя до снятия вложения: <b> ' . $t . ' </b><br/>';
echo 'Сумма для снятия: <b>' . (($bank[gold] / 100) * $settings[bank] + $bank[gold]) . '</b><br/>';
}
echo '<br/><div class="page_foot"> - <a href="?">Назад</a></div>';
break;

case 'leaders':
echo '
<b>Лидеры</b><br/>
Самые богатые:<br/>';

$lider = mysql_query("SELECT * FROM korsar_user ORDER BY gold DESC LIMIT 5");

while ( $lider_info = mysql_fetch_array ( $lider ) )
{
$user = mysql_fetch_array ( mysql_query ("SELECT * FROM user WHERE id='" . $lider_info[user_id] . "' LIMIT 1"));
echo $user[nick] . ' [' . $lider_info[gold] . ']<br/>';
}

echo '<br/><div class="page_foot"> - <a href="?">Назад</a></div>';
break;

case 'swim_go':

If (!isset($_GET['id']) || !preg_match("!^[0-9]+$!i",$_GET['id'])) $id=false; else $id=abs(ceil($_GET['id']));
if ( $id != false ) {
if ( mysql_num_rows ( mysql_query ("SELECT id FROM korsar_city WHERE id='" . $id . "'") )==1){

$fort = mysql_fetch_array ( mysql_query ("SELECT * FROM korsar_city WHERE name='" . $info[city] . "' LIMIT 1"));
$ship = mysql_fetch_array ( mysql_query ("SELECT * FROM korsar_ship WHERE name='" . $info[ship] . "' LIMIT 1"));
$port = mysql_fetch_array ( mysql_query("SELECT * FROM korsar_city WHERE id='". $id . "' LIMIT 1"));

$distance = $port[distance] - $fort[distance];
$time = ceil($distance / $ship[speed] * 60);

if ( $time < 0) $time = $time * -1;

mysql_query( "INSERT INTO korsar_swim SET id_user='" . $info[id] . "', city='" . $port[name] . "', time='" . time() . "', time_end='" . ( time() + ( $time * 60 ) ) . "'");
echo 'Вы выплали в форт ' . $port[name] . '. Прибудите туда через ' . $time . ' мин.<br/>
<div class="page_foot"> - <a href=?>Далее</a></div>';

} else { echo 'Ошибка! Вернитесь <b><a href=?mod=swim>назад</a></b> <br/>'; }
} else { echo 'Ошибка! Вернитесь <b><a href=?mod=swim>назад</a></b> <br/>'; }

break;

case 'swim':
echo '
<div class="gend"><b>Выбор форта:</b></div>';

$fort = mysql_fetch_array ( mysql_query ("SELECT * FROM korsar_city WHERE name='" . $info[city] . "' LIMIT 1"));
$ship = mysql_fetch_array ( mysql_query ("SELECT * FROM korsar_ship WHERE name='" . $info[ship] . "' LIMIT 1"));

$port = mysql_query("SELECT * FROM korsar_city");
while ( $port_info = mysql_fetch_array ( $port ) )
{
$distance = $port_info[distance] - $fort[distance];
$time = ceil($distance / $ship[speed] * 60);
if ( $time < 0) $time = $time * -1;
if ( $info[city] != $port_info[name] )
echo '<a href="?mod=swim_go&id=' . $port_info[id] . '">' . $port_info[name].'</a> [<b>' . $time . ' мин.</b>]<br/>';
}

echo '<div class="page_foot"> - <a href="?mod=ship">Назад</a></div>
';
break;

case 'pirate_attack':
if ( $info[tree] > 0 || $info[wood] > 0 || $info[iron] > 0 || $info[fabric] > 0 || $info[silver] > 0 || $info[charcoal] > 0 ) {
echo 'Перед тем как гнаться за кораблями нужно освободить свои трюмы иначе вы не одного корабля не догоните.<br/>';
echo '<div class="page_foot"> - <a href="?">В меню</a></div>';

} else {

If (!isset($_GET['id']) || !preg_match("!^[0-9]+$!i",$_GET['id'])) $id=false; else $id=abs(ceil($_GET['id']));
if ( mysql_num_rows ( mysql_query ("SELECT id FROM korsar_user WHERE id='" . $id . "'") )==1){
if ( mysql_num_rows ( mysql_query ("SELECT * FROM korsar_swim WHERE id_user='" . $id . "' AND city='" . $info[city] ."'") )==1){
echo '<div class="gend"><b>Бой</b></div>';

$enemy = mysql_fetch_array ( mysql_query ("SELECT * FROM korsar_user WHERE id='" . $id . "'"));

if ( $info[time_attack] > time() ) {
echo 'Этот корабль уже был атакован.<br/><br/><a href="?mod=pirate">Назад</a><br/>';

} elseif ( $info[time_pirate] > time()  ) {

echo 'Вы сможите напасть не раньше чем через ' . ceil( ( $info[time_pirate] - time() ) / 60 ) . ' мин.<br/><br/><a href="?mod=pirate">Назад</a><br/>';

} else {

$enemy_ship = mysql_fetch_array ( mysql_query ("SELECT * FROM korsar_ship WHERE name='" . $enemy[ship] . "'"));
$info_ship = mysql_fetch_array ( mysql_query ("SELECT * FROM korsar_ship WHERE name='" . $info[ship] . "'"));
$karma = $info_ship[lvl] - $enemy_ship[lvl];
if ( $karma < 0 ) $karma = 0;

mysql_query( "UPDATE korsar_user SET time_pirate = '" . ( time() + 60 * 60 * $settings[pirate_time] ) . "' WHERE user_id='" . $user['id'] . "'" );
mysql_query( "UPDATE korsar_user SET time_karma = '" . ( time() + 60 * 60 * ( $settings[karma_time] + $karma ) ) . "' WHERE user_id='" . $user['id'] . "'" );
mysql_query( "UPDATE korsar_user SET time_attack = '" . ( time() + 60 * 60 * $settings[attack_time] ) . "' WHERE id='" . $id . "'" );

$guns_1 = $info[number_of_guns];
$strength_1 = $info[strength_ship];

$guns_2 = $enemy[number_of_guns];
$strength_2 = $enemy[strength_ship];

$final = TRUE;

for ($i=1; $final == TRUE; $i++)
{
$strength_1 = $strength_1 - $attack_2 = rand ($guns_2, $guns_2 * 3);
if ( $strength_1 <= 0 ) {
echo 'Вы проиграли!<br/>';
$final = FALSE;

} else {

$strength_2 = $strength_2 - $attack_1 = rand ($guns_1, $guns_1 * 3);
if ( $strength_2 <= 0 ) {
echo 'Вы выйграли!<br/>';
$final = FALSE;

$ship = mysql_fetch_array ( mysql_query ("SELECT * FROM korsar_ship WHERE name='" . $info[ship] . "' LIMIT 1"));
$kol =  ceil($ship[strength] / 6);

mysql_query( "UPDATE korsar_user SET tree = tree + " . $enemy[tree] . ", wood = wood + " . $enemy[wood] . ", iron = iron + " . $enemy[iron] . ", fabric = fabric + " . $enemy[fabric] . ", silver = silver + " . $enemy[silver] . ",  charcoal = charcoal + " . $enemy[charcoal] . "  WHERE user_id='" . $user['id'] . "'" );
mysql_query( "UPDATE korsar_user SET tree = 0, wood = 0, iron = 0, fabric = 0, silver = 0,  charcoal = 0  WHERE id='" . $id . "'" );

echo 'При этом украли ресурсы:<br/>
Дерево ' . $enemy[tree] . '<br/>
Еда ' . $enemy[wood] . '<br/>
Железо ' . $enemy[iron] . '<br/>
Уголь ' . $enemy[fabric] . '<br/>
Ткань ' . $enemy[silver] . '<br/>
Серебро ' . $enemy[charcoal] . '<br/>    
';
echo '<br><a href="?">В меню</a><br/>';
}
}
}
mysql_query( "UPDATE korsar_user SET strength_ship = '" . $strength_1 . "'  WHERE user_id='" . $user['id'] . "'" );
mysql_query( "UPDATE korsar_user SET strength_ship = '" . $strength_2 . "' WHERE id='" . $id . "'" );
}
} else { echo 'Ошибка! Этот корабль плывет в другое напровление.<br/><br/><a href="?mod=pirate">Назад</a><br/>'; }
} else { echo 'Ошибка! Такова пользователя не существует.<br/><br/><a href="?mod=pirate">Назад</a><br/>'; }
}
break;

case 'pirate':

if ( $info[tree] > 0 || $info[wood] > 0 || $info[iron] > 0 || $info[fabric] > 0 || $info[silver] > 0 || $info[charcoal] > 0 ) {
echo 'Перед тем как гнаться за кораблями нужно освободить свои трюмы иначе вы не одного корабля не догоните.<br/>';

} else {

echo '
<b>Корабли вокруг форта </b> [' . $info[city] . ']<br/>';

$user = mysql_query("SELECT * FROM korsar_swim WHERE city='" . $info[city] . "'");
if (  mysql_num_rows ($user) == 0 ) {
echo 'Нет кораблей.<br/>';

} else {

while ( $user_info = mysql_fetch_array ( $user ) ) 
{
$p = mysql_fetch_array ( mysql_query ("SELECT * FROM korsar_user WHERE id='" . $user_info[id_user] . "' LIMIT 1"));
$u = mysql_fetch_array ( mysql_query ("SELECT * FROM user WHERE id='" . $p[user_id] . "' LIMIT 1"));
echo $u[nick] . ' [' . $p[ship] . '] <a href="?mod=pirate_attack&id=' . $p[id] . '">[напасть]</a><br/>';
}

}
}
echo '
<div class="page_foot"> - <a href="?mod=ship">Назад</a></div>
<div class="page_foot"> - <a href="?">В меню</a></>
';
break;

case 'fishing_cancel':
mysql_query( "DELETE FROM korsar_fishing WHERE id_user='" . $info[id] . "'" ); 
echo '<b>Рыбалка</b><br/>
Вы вернулись в форт.<br/>
<div class="page_foot"> - <a href="?">В меню</a></div>';
break;

case 'fishing':
echo 'Вы ушли на рыбалку и вернетесь через ' .  $settings[fishing_time]  . ' мин.<br/>
<div class="page_foot"> - <a href="?">В меню</a></div>
';
mysql_query( "INSERT INTO korsar_fishing SET id_user='" . $user[id] . "', time='" . ( time() + 60 * $settings[fishing_time] ) . "'");
break;

case 'treasures':
if ( $info[treasures_map] == 0 ) {

echo 'У вас нету карты! зайдите в таверну и купите карту сокровищ.<br/>
<br/><a href="?mod=ship">Назад</a><br/>';

} else {

mysql_query( "INSERT INTO korsar_treasures SET id_user='" . $user[id] . "', time='" . ( time() + 60 * $settings[treasures_time] ) . "'");
mysql_query( "UPDATE korsar_user SET treasures_map = treasures_map - 1 WHERE user_id='" . $user['id'] . "'" );

echo 'Вы отправились на поиски сокровищ и вернетесь через ' . ( $settings[treasures_time] / 60 ) . ' мин.<br/>
<div class="page_foot"> - <a href="?">В меню</a></div>';

}

break;

case 'ship':
echo '
<div class="gend"><b>Мой корабль</b></div>
<div class="page_foot"> - <a href="?mod=swim">Плыть в другой форт</a></div>
<div class="page_foot"> - <a href="?mod=pirate">Заняться пиратством</a></div>
<div class="page_foot"> - <a href="?mod=fishing">Пойти на рыбалку</a></div>
<div class="page_foot"> - <a href="?mod=treasures">Отправиться за сокровищами</a></div>
<div class="page_foot"> - <a href="?">Назад</a></div>
';
break;

case 'thimble':
echo '
<div class="gend"><b>Таверна</b></div>
Игра в наперстки<br/>
У вас <b>' . $info[gold] . '</b> золота<br/>
';
if (isset($_GET[go]) AND $_GET[go] == '')
If (!isset($_POST['kol']) || !preg_match("!^[0-9]+$!i",$_POST['kol'])) $kol=false; else $kol=ceil($_POST['kol']);
if ( $info[gold] >= $_POST[kol] ) {
If (!isset($_POST['t']) || !preg_match("!^[0-9]+$!i",$_POST['t'])) $t=false; else $t=abs(ceil($_POST['t']));
if ( $kol != false AND $t != false ) {
$p = rand(1,3);
if ( $t == $p ) {

echo 'Вы угодали и выйграли ' . $kol . ' золота<br/>';
mysql_query( "UPDATE korsar_user SET gold = gold + " . $kol . " WHERE user_id='" . $user['id'] . "'" );

} else {

 echo 'Вы не угодали и проиграли ' . $kol . ' золота<br/>';
mysql_query( "UPDATE korsar_user SET gold = gold - " . $kol . " WHERE user_id='" . $user['id'] . "'" );

}

} else { 
echo 'Не верная ставка.<br/>'; }
} else {
echo '<b>Не достаточно золота!</b><br/>';
}
echo '
<form action="?mod=thimble&go" method="post">
Ставка:<br/>
<input type="text" name="kol" maxlength="30"><br/>
<input type="radio" name="t" value="1" checked="checked">Левый<br/> 
<input type="radio" name="t" value="2">Средний<br/>
<input type="radio" name="t" value="3">Правый<br/>
<input type="submit" value="Играть"/></form>     
<br/><a href="?mod=tavern">Назад</a><br/>
';
break;

case 'tavern':
echo '
<b>Таверна</b><br/>';

if (isset($_GET[rum]) AND $_GET[rum] == ''){
mysql_query( "UPDATE korsar_user SET gold = gold - 10 WHERE user_id='" . $user['id'] . "'" );
echo '<b>Вы выпили рома.</b><br/>';
}

if (isset($_GET[map]) AND $_GET[map] == ''){
mysql_query( "UPDATE korsar_user SET gold = gold - " . $settings[maps_gold] . ", treasures_map = treasures_map + 1 WHERE user_id='" . $user['id'] . "'" );
echo '<b>Вы купили карту сокровищ за ' . $settings[maps_gold] . ' золотых.</b><br/>
У вас теперь ' . ( $info[treasures_map] + 1 ) . ' карт.<br/>';
}

echo '
<a href="?mod=tavern&rum">Выпить рома</a> [10 золота]<br/>
<a href="?mod=thimble">Сыграть в наперстки</a><br/>
<a href="?mod=tavern&map">Купить карту сокровищ</a> [' . $settings[maps_gold] . ' золотых]<br/>
<br/><div class="page_foot"> - <a href="?">Назад</a></div>
';
break;

case 'stat':
$kol_swim =  mysql_num_rows ( mysql_query ("SELECT * FROM korsar_swim") );
$kol_fishing =  mysql_num_rows ( mysql_query ("SELECT * FROM korsar_fishing") );
$kol_treasures =  mysql_num_rows ( mysql_query ("SELECT * FROM korsar_treasures") );
echo '<div class="gend"><b>Статистика</b></div>
Плывут в другой форт: <b>' . $kol_swim . '</b><br/>
Рыбачат: <b>' . $kol_fishing . '</b><br/>
Ищут сокровища: <b>' . $kol_treasures . '</b>
<div class="page_foot"> - <a href="?">В меню</a></div>
';
break;

default :

echo '<div class="guser_aut"> -
Золото: ' . $info[gold] . '<br/>
 - Форт: ' . $info[city] . '<br/>
 - Корабль: <a href="?mod=my_ship">' . $info[ship] . '</a></div>';
if ( $swim == 1 ) {
$swim_info = mysql_fetch_array ( mysql_query ("SELECT * FROM korsar_swim WHERE id_user='" . $info[id] . "' LIMIT 1"));

$time = ceil( $swim_info[time_end] - time());

if ( $time > 60) $time_k = ceil ( $time / 60 ).' мин';
if ( $time < 60) $time_k = $time.' сек';

echo '
Вы плывете в форт <b>' . $swim_info[city] . '</b>.<br/>
Осталось <b>' . $time_k . '</b>.<br/>
';

} elseif ( $karma == 1) {

$time = ceil( $info[time_karma] - time() );

if ( $time > 60) $time_k = ceil ( $time / 60 ).' мин';
if ( $time < 60) $time_k = $time.' сек';

echo 'Вы в море!<br/>
В форт вы сможите вернуться через ' . $time_k . '<br/>
';

} elseif ( $fishing == 1) {

$time = ceil( $fishing_info[time] - time() );

if ( $time > 60) $time_k = ceil ( $time / 60 ).' мин';
if ( $time < 60) $time_k = $time.' сек';

echo 'Вы на рыбалке.<br/>
Вернетесь через ' . $time_k . '.<br/>
<a href="?mod=fishing_cancel">Вернуться в форт</a><br/>
';

} elseif ( $treasures == 1 )  {

$time = ceil( $korsar_treasures_info[time] - time() );

if ( $time > 60) $time_k = ceil ( $time / 60 ).' мин';
if ( $time < 60) $time_k = $time.' сек';

echo 'Вы в поиске сокровищ.<br/>
Вернетесь через ' . $time_k . '.<br/>';

} else {
echo '
<div class="page_foot"> - <a href="?mod=sklad">Склад</a></div>
<div class="page_foot"> - <a href="?mod=port">Гавань</a></div>
<div class="page_foot"> - <a href="?mod=bank">Банк</a></div>
<div class="page_foot"> - <a href="?mod=tavern">Таверна</a></div>
<div class="page_foot"> - <a href="?mod=ship">На корабль</a></div>';
}
echo '<div class="page_foot"> - <a href="?mod=leaders">Лидеры</a></div>';
echo '<div class="page_foot"> - <a href="?mod=stat">Статистика</a></div>';

if ( $user[level] >= 4 )
echo '<br/><a href="/tabor_ad_panel/korsar_a.php">Админка</a><br/>';

break;
}


include_once '../sys/inc/tfoot.php';
?>